create table PERF_MONITORAGGIO_KPI
(
	ID int auto_increment,
	ID_LANCIO int not null,
	PERIODO_RIPARTIZIONE_ID BIGINT(22) null,
	CODICE_VOCE_INCASSO varchar(64) null,
	NUMERO_COMBANA int null,
	NUMERO_UTILIZZAZIONI int null,
	NR_UTIL_CODIFICA_AUTOMATICA int null,
	NR_UTIL_CODIFICA_MANUALE int null,
	NR_UTIL_DA_CODIFICARE_MANUALMENTE int null,
	NR_CODIFICATO_DA_GIRARE int null,
	VALORE_ECONOMICO_CODIFICATO decimal(12,4) null,
	VALORE_ECONOMICO_NON_CODIFICATO decimal(12,4) null,
	constraint PERF_MONITORAGGIO_KPI_pk
		primary key (ID),
	constraint PERF_MONIT_KPI_PERIODO_RIPARTIZIONE_ID_fk
		foreign key (PERIODO_RIPARTIZIONE_ID) references PERIODO_RIPARTIZIONE (ID_PERIODO_RIPARTIZIONE)
);

create index PERF_MONITORAGGIO_KPI_ID_LANCIO_index
	on PERF_MONITORAGGIO_KPI (ID_LANCIO);

alter table PERF_MONITORAGGIO_KPI modify ID_LANCIO bigint(22) not null;
alter table PERF_MONITORAGGIO_KPI
	add COMPETENZE_DA date null;

alter table PERF_MONITORAGGIO_KPI
	add COMPETENZE_A date null;

alter table PERF_MONITORAGGIO_KPI modify NUMERO_COMBANA bigint null;

alter table PERF_MONITORAGGIO_KPI modify NUMERO_UTILIZZAZIONI bigint null;

alter table PERF_MONITORAGGIO_KPI modify NR_UTIL_CODIFICA_AUTOMATICA bigint null;

alter table PERF_MONITORAGGIO_KPI modify NR_UTIL_CODIFICA_MANUALE bigint null;

alter table PERF_MONITORAGGIO_KPI modify NR_UTIL_DA_CODIFICARE_MANUALMENTE bigint null;

alter table PERF_MONITORAGGIO_KPI modify NR_CODIFICATO_DA_GIRARE bigint null;




